/* Import Google font - Poppins */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}
body{
  display: flex;
  padding: 0 10px;
  min-height: 100vh;
  background: #0d0d0d;
  align-items: center;
  justify-content: center;
/* }
  body {
  background: var(--bg-primary);
  transition: var(--transition-1);
  height: 100vh;
  /* background-color: #101010; */
  background-size: 20px 20px;
  background-image: 
  linear-gradient(to right, #4b4a4a1b 0.5px,transparent 1px),
  linear-gradient(to bottom, #4b4b4b1a 0.5px, transparent 1px);
} */

::selection{
  color: #fff;
  background: #ffa422;
}










/*-----------------------------------*\
 * style.css
\*-----------------------------------*/

/**
 * copyright 2022 codewithsadee
 */





/*-----------------------------------*\
 * #CUSTOM PROPERTY
\*-----------------------------------*/

:root {

  /**
   * colors
   */

  --raw-seinna: #ffa422;
  --sizzling-sunrise: hsl(51, 95%, 54%);
  --scarlet: hsl(13, 96%, 47%);
  --black: hsl(0, 0%, 0%);
  --white: hsl(0, 0%, 100%);

  /**
   * typography
   */

  --ff-saira-stencil-one: "Saira Stencil One", sans-serif; 
  --ff-poppins: 'Poppins', sans-serif;
  --ff-roboto: 'Roboto', sans-serif;

  --fs-1: 2rem;
  --fs-2: calc(1.813rem + 1vw);
  --fs-3: calc(1.313rem + 1vw);
  --fs-4: 1.4rem;
  --fs-5: 1rem;
  --fs-6: 0.813rem;
  --fs-7: 0.75rem;

  --fw-400: 400;
  --fw-700: 700;

  /**
   * transition
   */

  --transition-1: 0.25s ease-in-out;

  /**
   * spacing
   */

  --section-padding: 80px;

  /**
   * radius
   */

  --radius-4: 4px;
  --radius-12: 12px;

}





/*-----------------------------------*\
 * #THEME COLORS
\*-----------------------------------*/

body.dark_theme {

  --bg-primary: hsl(0, 0%, 5%);
  --bg-secondary: hsl(0, 0%, 6%);
  --color-primary: hsl(0, 0%, 100%);
  --color-secondary: hsl(0, 0%, 62%);
  --card-shadow: hsla(0, 0%, 0%, 0.4);
  --input-bg: hsl(0, 0%, 16%);

  --shadow-1: 10px 10px 40px var(--card-shadow);


}

body.light_theme {

  --bg-primary: hsl(0, 0%, 90%);
  --bg-secondary: hsl(0, 0%, 100%);
  --color-primary: hsl(0, 0%, 12%);
  --color-secondary: hsl(0, 0%, 37%);
  --card-shadow: hsla(0, 0%, 0%, 0.1);
  --input-bg: hsl(0, 0%, 93%);
  --logo: url('assets/images/logo.png')
  --shadow-1: 10px 10px 40px var(--card-shadow);

}
*{
  scroll-behavior: smooth;
}
body{
  cursor: none;
}

/*-----------------------------------*\
 * #cursor
\*-----------------------------------*/

.cursor-dot{
  width: 5px;
  height: 5px;
  background-color: #ffffff;
}

.cursor-outline{
  width: 30px;
  height: 30px;
  border: 2px solid #ffa422;
}

.cursor-dot,
.cursor-outline {
  position: fixed;
  top: 0;
  left: 0;
  transform: translate(-50% , -50%);
  border-radius: 50%;
  z-index: 10;
  pointer-events: none;
}




/*-----------------------------------*\
 * #RESET
\*-----------------------------------*/

*, *::before, *::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

li { list-style: none; }

a { text-decoration: none; }

a,
img,
time,
span,
input,
label,
select,
button,
textarea,
ion-icon { display: block; }

input,
button,
select,
textarea {
  background: none;
  border: none;
  font: inherit;
}

button,
select { cursor: pointer; }

/* input,
textarea { width: 100%; } */

ion-icon { pointer-events: none; }

:is(a, button, select) {
  outline-color: var(--scarlet);
  outline-offset: 3px;
}

::selection {
  background: var(--color-primary);
  color: var(--bg-primary);
}

html {
  font-family: var(--ff-roboto);
  scroll-behavior: smooth;
}

body {
  background: var(--bg-primary);
  transition: var(--transition-1);
  height: 100vh;
  /* background-color: #101010; */
  background-size: 20px 20px;
  background-image: 
  linear-gradient(to right, #4b4a4a1b 0.5px,transparent 1px),
  linear-gradient(to bottom, #4b4b4b1a 0.5px, transparent 1px);
}

body.active { overflow: hidden; }





/*-----------------------------------*\
 * #REUSED STYLE
\*-----------------------------------*/

.container { padding-inline: 10px; }

.h1 {
  font-size: var(--fs-1);
  line-height: 1.2;
  font-weight: 400;
}

.h2,
.h3,
.h4 {
  color: var(--color-primary);
  font-family: var(--ff-poppins);
  line-height: 1.2;
}

.h2 { font-size: var(--fs-2); }

.h3 { font-size: var(--fs-3); }

.h4 { font-size: var(--fs-5); }

.w-100 { width: 100%; }

.btn {
  max-width: max-content;
  color: var(--color-primary);
  font-weight: var(--fw-700);
  text-transform: uppercase;
  letter-spacing: 0.5px;
  padding: 10px 25px;
  border: 1px solid transparent;
  border-radius: var(--radius-4);
  transition: var(--transition-1);
}

.btn-primary { border-color: #ffca7f; }

.btn-primary:is(:hover, :focus) {
  background: var(--color-primary);
  color: var(--bg-primary);
  transform: scale(1.04);
  box-shadow: 0 0 40px #ffa3222e;
}

.btn-secondary {
  background: var(--raw-seinna);
  border-color: var(--raw-seinna);
  color: var(--black);
}

.btn-secondary:is(:hover, :focus) { --raw-seinna: hsl(0, 0%, 100%); }

.section-subtitle {
  position: relative;
  color: var(--color-secondary);
  text-transform: uppercase;
  padding-bottom: 5px;
  margin-bottom: 20px;
}

.section-subtitle::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 0;
  width: 60px;
  height: 2px;
  background: var(--color-secondary);
}

.section-title {
  max-width: 350px;
  margin-bottom: 17px;
  font-family: 'syne' , var(--ff-poppins);
}

.section-text {
  color: var(--color-secondary);
  line-height: 1.8;
  margin-bottom: 30px;
}

#section-title-center{
  text-align: center;
  font-size: 30px;
}

#section-title-mid{
  display: grid;
  justify-content: center;
}
#section-text-center{
  text-align: center;
  
}



.tooltip {
  position: absolute;
  top: -40px;
  background: var(--raw-seinna);
  min-width: max-content;
  color: var(--white);
  font-size: 15px;
  font-weight: var(--fw-700);
  padding: 5px 10px;
  border-radius: var(--radius-4);
  box-shadow: var(--shadow-1);
  transform: translateY(-10px);
  opacity: 0;
  pointer-events: none;
  transition: var(--transition-1);
  z-index: 1;
}





/*-----------------------------------*\
 * #HEADER
\*-----------------------------------*/




.header {
  padding-block: 15px;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  transition: var(--transition-1);
  z-index: 4;
}

.header {
  padding : 10px 0px 0px 0px;
  background: rgba(35, 35, 35, 0.447);
  box-shadow: var(--shadow-1);
  backdrop-filter: blur(10px);
  border-bottom: 1px solid rgb(255, 255, 255, .2) ;
}

.header::before{
  content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, transparent, rgba(255, 255, 255, .4), transparent);
    transition: .5s;
}

.header:hover::before {
  left: 100%;
}


.header .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
}
#logo{
  height: 30px;
}
.logo{
  position: relative;
  min-width: 77px;
  z-index: 2;
  transition: transform 300ms ease-out;
}

.logo:hover{
  filter: drop-shadow(0px 0px 30px rgba(255, 255, 255, 0.192));
  transform: scale(1.1);
  transition: all  0.4sease-in-out;
}

.logo a {
  color: var(--color-primary);
  font-family: var(--ff-saira-stencil-one);
}

.logo span {
  display: inline-block;
  color: var(--raw-seinna);
  margin-left: 2px;
}

.navbar-actions {
  display: flex;
  align-items: center;
  gap: 15px;
  margin-left: auto;
}

.navbar-actions select {
  color: var(--color-primary);
  width: 45px;
}

.navbar-actions option {
  background: var(--bg-primary);
  color: var(--color-primary);
}

.theme-btn {
  visibility: hidden;
  padding: 4px;
  width: 48px;
  background: var(--bg-secondary);
  border-radius: 100px;
  transition: var(--transition-1);
}

.header.active .theme-btn { background: var(--bg-primary); }

.theme-btn .icon {
  position: relative;
  left: 0;
  width: 20px;
  height: 20px;
  border-radius: 50px;
  box-shadow: inset 9px -6px var(--color-primary);
  transition: var(--transition-1);
}

.theme-btn.active .icon {
  left: 20px;
  box-shadow: inset 20px -20px var(--sizzling-sunrise);
}

.nav-toggle-btn {
  position: relative;
  transform: rotate(-55deg);
  transition: var(--transition-1);
  z-index: 2;
}

.nav-toggle-btn.active { transform: rotate(-45deg); }

.nav-toggle-btn span {
  width: 20px;
  height: 2px;
  background: var(--color-primary);
  margin: 5px;
  transition: var(--transition-1);
}

.nav-toggle-btn :is(.one, .three) { width: 10px; }

.nav-toggle-btn .one {
  margin-left: auto;
  transform-origin: left;
}

.nav-toggle-btn .three { transform-origin: right; }

.nav-toggle-btn.active .one { transform: rotate(90deg) translateX(-3px); }

.nav-toggle-btn.active .three { transform: rotate(90deg) translateX(3px); }

.navbar {
  position: fixed;
  background: var(--bg-secondary);
  top: 100%;
  left: 0;
  width: 100%;
  height: 100%;
  display: grid;
  place-items: center;
  visibility: hidden;
  transition: 0.75s cubic-bezier(0.71, 0.01, 0.24, 0.99);
  transition-delay: 0.5s;
  z-index: 1;
}

.navbar.active {
  top: 0;
  visibility: visible;
  transition-delay: 0s;
}

.navbar-list > li {
  margin-block: 20px;
  padding-inline: 50px;
  overflow: hidden;
}

.navbar-link {
  position: relative;
  width: max-content;
  margin-inline: auto;
  color: var(--color-primary);
  font-family: var(--ff-poppins);
  font-size: var(--fs-1);
  padding: 10px;
  transform: translateY(50px);
  transition: 0.75s cubic-bezier(0.68, -0.55, 0.27, 2);
}

.navbar.active .navbar-link {
  transform: translateY(0);
  transition-delay: 0.5s;
}

.navbar-link::before {
  content: "";
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 0;
  height: 5px;
  width: 0;
  background: var(--raw-seinna);
  transition: var(--transition-1);
}

.navbar-link:is(:hover, :focus)::before { width: 100%; }

.star-icon {
  width: 25px;
  height: 25px;
  fill: #ff8c00;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
}

.star-icon:hover {
  transform: scale(1.2) rotate(270deg); /* Reduced to quarter spin */
  filter: drop-shadow(0px 0px 20px #ffa43461);
}












/*-----------------------------------*\
 * #CONTACT
\*-----------------------------------*/

.contact { padding-block: var(--section-padding); }

.contact-content { margin-bottom: 50px; }

.contact-list-item {
  display: flex;
  align-items: flex-start;
  gap: 15px;
  margin-bottom: 20px;
}

.contact-item-icon {
  font-size: 25px;
  color: var(--color-primary);
}

.contact-item-icon ion-icon { --ionicon-stroke-width: 40px; }

.contact-item-title { margin-bottom: 10px; }

.contact-list-item .contact-info {
  color: var(--color-secondary);
  font-style: normal;
  line-height: 1.6;
  transition: var(--transition-1);
}

.contact-info:not(address):is(:hover, :focus) { color: var(--color-primary); }

.contac-social-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: center;
  gap: 15px;
  padding-inline: 40px;
}

.contact-social-link {
  position: relative;
  background: var(--color-primary);
  color: var(--bg-primary);
  width: 35px;
  height: 35px;
  display: grid;
  place-items: center;
  border-radius: 50%;
  transition: var(--transition-1);
}

.contact-social-link:is(:hover, :focus) {
  background: var(--raw-seinna);
  color: var(--white);
}

.contact-social-link:is(:hover, :focus) .tooltip {
  transform: translateY(0);
  opacity: 1;
}

.contact-form {
  background: var(--bg-secondary);
  padding: 20px;
  border-radius: var(--radius-12);
  box-shadow: var(--shadow-1);
  height: 240px;
}



.contact-form span{
  margin-top: 12px;
  color: #ffa422;
  text-align: center;
}

/* .form-wrapper { margin-bottom: 25px; } */

.form-label {
  color: var(--color-primary);
  font-size: var(--fs-7);
  font-family: var(--ff-poppins);
  margin-bottom: 8px;
  margin-left: 5px;
}

.input-wrapper { position: relative; }

.input-field {
  background: var(--input-bg);
  color: var(--raw-seinna);
  padding: 10px;
  padding-left: 40px;
  border-radius: var(--radius-12);
  transition: var(--transition-1);
}

.input-wrapper ion-icon {
  position: absolute;
  top: 10px;
  left: 10px;
  color: var(--color-secondary);
  font-size: 20px;
  transition: var(--transition-1);
}

textarea.input-field {
  min-height: 60px;
  height: 120px;
  max-height: 200px;
  resize: vertical;
}

.input-field:focus { outline: 1px solid; }

.input-field:focus + ion-icon { color: var(--raw-seinna); }

.contact .btn-primary {
  max-width: unset;
  width: 100%;
  background: #ffa422;
  color: var(--bg-primary);
}

#contact-link a{
  color: rgb(13, 13, 13);
}


#country{
  display: flex;
  column-gap: 13px;
}








/*-----------------------------------*\
 * #MEDIA QUERIES
\*-----------------------------------*/

/**
 * responsive for larger than 550px screen
 */

 @media (min-width: 320px) {
  #slogan{
    font-size: 50px;
    margin-bottom: 15px;
  }

  #logo{
    display: inline-block;
  }

}

@media (max-width: 550px) {
 #country{
  display: inline-block;
  width: 100%;
 }



}



/* Mobile screens (320px to 550px) */
@media (max-width: 550px) {
  .cursor-dot,
  .cursor-outline {
    display: none;
  }
}

/* Tablet screens (551px to 992px) */
@media (min-width: 551px) and (max-width: 992px) {
  .cursor-dot,
  .cursor-outline {
    display: none;
  }
}

/* Desktop screens (993px and above) */
@media (min-width: 993px) {
  .cursor-dot,
  .cursor-outline {
    display: block;
  }
}




@media (min-width: 550px) {

/**
 * REUSED STYLE
 */


 .container {
  max-width: 550px;
  margin-inline: auto;
}

.section-title { max-width: 380px; }


}





/**
* responsive for larger than 768px screen
*/

@media (min-width: 768px) {

/**
 * REUSED STYLE
 */

.container { max-width: 720px; }

.section-title { max-width: 430px; }


/**
 * CONTACT
 */

.contact-form {
  max-width: 450px;
  margin-inline: auto;
}

}





/**
* responsive for larger than 992px screen
*/

@media (min-width: 992px) {

/**
 * CUSTOM PROPERTY
 */

:root {

  /**
   * typography
   */

  --fs-2: 3rem;

  /**
   * spacing
   */

  --section-padding: 100px;

}



/**
 * REUSED STYLE
 */

.container { max-width: 980px; }

.section-content {
  position: relative;
  padding-left: 40px;
}

.section-subtitle {
  position: absolute;
  top: 0;
  left: 0;
  transform: rotate(0.75turn) translateX(-100%);
  transform-origin: left top;
  margin-bottom: 0;
}

.section-subtitle::after {
  top: 8px;
  left: auto;
  right: calc(100% + 20px);
}









/**
 * CONTACT
 */

.contact {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 30px;
}

.contact-content { margin-bottom: 0; }

.contact-form { width: 100%; }

.contact-list { margin-left: -40px; }



/**
 * FOOTER
 */

.footer .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer .logo { margin-bottom: 0; }

}





/**
* responsive for larger than 1200px screen
*/

@media (min-width: 1200px) {

/**
 * REUSED STYLE
 */

.container { max-width: 1150px; }

.section-title { max-width: 460px; }









}





















 















/*-----------------------------------*\
 * #Form
\*-----------------------------------*/

.wrapper{
  width: 850px;
  background: #fff;
  border-radius: 5px;
  box-shadow: 10px 10px 10px rgba(0,0,0,0.05);
  margin-top: 40px;
}
.wrapper header{
  font-size: 22px;
  font-weight: 600;
  padding: 20px 30px;
  border-bottom: 1px solid #ccc;
}
.wrapper form{
  margin: 35px 30px;
}
.wrapper form.disabled{
  pointer-events: none;
  opacity: 0.7;
}
form .dbl-field{
  display: flex;
  margin-bottom: 25px;
  justify-content: space-between;
  gap: 30px;
}
.dbl-field .field{
  height: 50px;
  display: flex;
  position: relative;
  width: calc(100% / 2 - 13px);
}
.wrapper form i{
  position: absolute;
  top: 50%;
  left: 18px;
  color: #ccc;
  font-size: 17px;
  pointer-events: none;
  transform: translateY(-50%);
}

form .field input,
form .message textarea{
  width: 100%;
  height: 100%;
  outline: none;
  padding: 0 18px 0 48px;
  font-size: 16px;
  border-radius: 5px;
  border: 1px solid #ccc;
}
.field input::placeholder,
.message textarea::placeholder
{
  color: #ccc;
}
.field input:focus,
.message textarea:focus{
  padding-left: 47px;
  border: 2px solid #ffa422;
}
.field input:focus ~ i,
.message textarea:focus ~ i{
  color: #ffa422;
}
form .message{
  position: relative;
}
form .message i{
  top: 30px;
  font-size: 20px;
}
form .message textarea{
  min-height: 130px;
  max-height: 230px;
  max-width: 100%;
  min-width: 100%;
  padding: 15px 20px 0 48px;
}
form .message textarea::-webkit-scrollbar{
  width: 0px;
}
.message textarea:focus{
  padding-top: 14px;
}
form .button-area{
  margin: 25px 0;
  display: flex;
  align-items: center;
}
.button-area button{
  color: #fff;
  border: none;
  outline: none;
  font-size: 18px;
  cursor: pointer;
  border-radius: 5px;
  padding: 13px 25px;
  background: #ffa422;
  transition: background 0.3s ease;
}
.button-area button:hover{
  background: #ffb041;
}
.button-area span{
  font-size: 17px;
  margin-left: 30px;
  display: none;
}


.categories{
    display: flex;
    gap: 15px;
    margin-bottom: 15px;
}

.field select {
    width: 100%;
    height: 100%;
    outline: none;
    padding: 0 18px 0 48px;
    font-size: 16px;
    border-radius: 5px;
    border: 1px solid #ffa422;
  }
  
  .field select:focus {
    border-color: #cccccc;
  }


/* Dropdown Styling for Country Code */
.field select {
  appearance: none;
  background: #fff;
  border: 1px solid #ccc;
}

.field select:focus {
  border: 2px solid #ffa422;
}




@media (max-width: 600px){
  .wrapper header{
    text-align: center;
  }
  .wrapper form{
    margin: 35px 20px;
  }
  .wrapper{
    margin-top: 10vh;
  }
  form .dbl-field{
    flex-direction: column;
    margin-bottom: 0px;
  }
  form .dbl-field .field{
    width: 100%;
    height: 45px;
    margin-bottom: 20px;
  }
  form .message textarea{
    resize: none;
  }
  form .button-area{
    margin-top: 20px;
    flex-direction: column;
  }
  .button-area button{
    width: 100%;
    padding: 11px 0;
    font-size: 16px;
  }
  .button-area span{
    margin: 20px 0 0;
    text-align: center;
  }

  form .dbl-field{
    display: flex;
    margin-bottom: 0px;
    justify-content: space-between;
    gap: 0px;
  
}

}



/*-----------------------------------*\
 * #Custom ScrollBar
\*-----------------------------------*/

::-webkit-scrollbar{
  width: 10px;
}
::-webkit-scrollbar-track{
  background: #000000;
}
::-webkit-scrollbar-thumb{
  background: linear-gradient(#ff8c00 , #ff9a1e);
  border-radius: 5px;
}

